/*****************************************************************************/
/* XMangekyou - a kaleidoscope for X                                         */
/* Programed by Sakai Hiroaki.                                               */
/*                                                                           */
/* Copyright (c) 1998 Sakai Hiroaki.                                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* XMangekyou is a kaleidoscope. You can see many, many, many patterns,      */
/* but, care for yourself from 'trip' filling!                               */
/*                                                                           */
/* XMangekyou is a free software. You may copy or distribute the original    */
/* XMangekyou freely. But, you may not modify or distribute the original     */
/* XMangekyou without permission of the author.                              */
/*****************************************************************************/

/*****************************************************************************/
/* Include Header File.                                                      */
/*****************************************************************************/

#include"xm_type.h"

/*****************************************************************************/
/* Quit.                                                                     */
/*****************************************************************************/

void Quit(XMangekyou * xmp)
{
  free(xmp->lines);
  free(xmp->circles);
  FreeAnimationData(xmp);
  exit (0);
}

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
